Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Class InternalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.axis.InternalException

All Implemented Interfaces:
  Serializable

public class InternalException
extends RuntimeException

Encapsulates exceptions for "should never occur" situations. Extends RuntimeException so it need not explicitly be caught. Logs the exception as a fatal error, and if debug is enabled, includes the full stack trace.

Author:
  Sam Ruby (rubys@us.ibm.com), Glyn Normington (glyn_normington@uk.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`InternalException(Exception e)` Construct an Internal Exception from an Exception.
`InternalException(String message)` Construct an Internal Exception from a String.

Method Summary
`static boolean` | `getLogging()` Getter for logging property.
`static void` | `setLogging(boolean logging)` Setter for logging.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InternalException

    public InternalException(String message)

  Construct an Internal Exception from a String. The string is wrapped in an exception, enabling a stack traceback to be obtained.

Parameters:
  `message` - String form of the error

### InternalException

    public InternalException(Exception e)

  Construct an Internal Exception from an Exception.

Method Detail

### setLogging

    public static void setLogging(boolean logging)

  Setter for logging.

### getLogging

    public static boolean getLogging()

  Getter for logging property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.